package cc.smtweb.system.bpm.web.sys.user.area;

import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.system.bpm.web.engine.dynPage.DynPageService;

/**
 * Created by 1 at 2022-06-17 07:58:14
 * 页面【[区划卡片]的服务类
 */
@SwService
public class AreaService extends DynPageService {
    //public final static String TYPE_DEMO = "demo";
    @Override
    protected AbstractHandler createHandler(String type) {
        switch (type) {
            case TYPE_SAVE:
                return new AreaHandler.AreaSaveHandler();
            case TYPE_LOAD:
                return new AreaHandler.AreaLoadHandler();
        }
        return super.createHandler(type);
    }

/* demo
    //自定义
    public R demo(@SwBody SwMap params, UserSession us) {
        return pageHandler(params, us, TYPE_DEMO, handler -> ((DemoHandler)handler).demo());
    }
*/

}
